Subject: URGENT: compiling on Linux alpha

From: Gerardo Andres Cisneros <[email-masked]>
Date: Mon, 28 May 2001 16:29:46 -0400 (EDT)

Hello

I'm trying to compile g98 (i'm not sure if A7 or A9) on a dual processor
alpha running RH7, i've installed the compaq fortran and math libraries
but I still can't get it to compile.

Every time I run bldg98 it stops because it tries to ling bsd/g98.make to
generic.make which doesn't exist!!.  I've tried modifying bldg98 so when
it reaches the generic machine if it links g98.make to alpha-osf.make
which is the only Makefile for alpha as far as I can tell but no go.

The weird thing is that gau-machine does know what machine it is:

[root@master bsd]# ../gau-machine 
alpha-openvms

Here's a little piece of bldg98.log:

...
unset x
gau-unlimit
rehash
set x = `gau-machine`
gau-machine
echo machine type is alpha-openvms
machine type is alpha-openvms
gau-unlimit
set ARFLAGS = `gau-arflags`
gau-arflags
rm -f bsd/g98.make
@ generic = 0
@ sun = 0
...
if ( alpha-openvms == alpha-osf1 ) then
@ generic = 1
cd bsd
ln -s generic.make g98.make
endif
...
cp ../bsd/mdutil.c bsd
make -f ../bsd/g98.make JUNK1=JUNK mdutil.o
make: ../bsd/g98.make: No such file or directory
make: *** No rule to make target `../bsd/g98.make'.  Stop.
ar rlv ../util.a mdutil.o
ar: mdutil.o: No such file or directory
else if ( 0 ) then
rm mdutil.o
rm: cannot remove `mdutil.o': No such file or directory
endif

That's when it tries to use generic.make.  If I modify bldg98 I get:

...
gau-machine
echo machine type is alpha-openvms
machine type is alpha-openvms
...
if ( alpha-openvms == alpha-osf1 ) then
@ generic = 1
cd bsd
ln -s alpha-osf1.make g98.make
endif
...
make -f bsd/g98.make gau-fsplit gau-cpp
cc -DALPHA_OSF1 -DI64 -DUSE_SYSV -I/usr/local/g98 -DDEFMAXSHL=20000
-DDEFMAXATM=20000 -DDEFMAXNZ=20000 -DDEFMAXINFO=200 -DDEFNVDIM=257
-DDEFARCREC=1024 -DDEFLMAX=13 -DDEFCACHE=128 -DDEFN3MIN=10 -DDEFMAXOP=120
-DDEFMAXTIT=100 -DDEFMAXRTE=4000 -DDEFMAXOV=500 -DDEFMAXIOP=100
-DDEFMAXCHR=1024 -DDEFMAXHEV=2000 -DDEFMAXLECP=10 -DDEFMAXFUNIT=5
-DDEFMAXFFILE=10000 -DDEFMAXFPS=1300 -DDEFMXTS=1500 -DDEFMXBAS=500
-DDEFMXOPT=50 -DDEFMXBOND=12 -DDEFMXSPH=250 -DDEFMXINV=1500
-DMERGE_LOOPS -DGAUSS_PAR -DGAUSS_THPAR -DUSE_PMM -DLITTLE_END  -O -tune
host -trapuv -o gau-fsplit bsd/fsplit.c
cc: host: No such file or directory
cc: unrecognized option `-tune'
cc: unrecognized option `-trapuv'
bsd/fsplit.c: In function `getline':
bsd/fsplit.c:236: warning: assignment makes integer from pointer without a
cast
make: *** [gau-fsplit] Error 1

And it cascades from there, could anyone help me please?.

Thanks in advance

Andres

--
G. Andres Cisneros
Department of Chemistry 
Duke University
[email-masked]